local addon   = KiwiPlates
local Options = KiwiPlatesOptions

local options = {}
local _, playerClass = UnitClass('player')
local classDB = addon.db.auras[playerClass] or {}
addon.db.auras[playerClass] = classDB

local function OnChange()
	addon.statuses.auras:OnDisable(addon)
	addon.statuses.auras:OnEnable(addon)
end

options.header1 = { type = 'header', name = 'Auras', order= 0 }

options.isBlackList = {
	type = 'toggle',
	order = 1,
	name = 'Use Black List',
	desc = '',
	get = function() return 
		not classDB.debuffsMineIsWhiteList 
	end,
	set = function(info, value)	
		classDB.debuffsMineIsWhiteList = not value 
		OnChange()
	end,
}

options.isWhiteList = {
	type = 'toggle',
	order = 2,
	name = 'Use White List',
	desc = '',
	get = function() return 
		classDB.debuffsMineIsWhiteList 
	end,
	set = function(info, value)	
		classDB.debuffsMineIsWhiteList = value 
		OnChange()
	end,
}

options.debuffsMine = {
	type = 'input',
	order = 10,
	width = 'full',
	name = 'Debuffs names',
	multiline = 10,
	get = function(info) 
		return classDB.debuffsMine or '' 
	end,
	set = function(info, value) 
		classDB.debuffsMine = value 
		OnChange()
	end,
}	

Options:RegisterModuleOptions( 'Auras', options, { order = 92 }  )

Options:RegisterModuleDefaults( 'Auras', {}  )

