local addon   = KiwiPlates
local Options = KiwiPlatesOptions
	
Options:RegisterModuleOptions( 'Plate', {

	header1 = { type = 'header', name = 'Nameplates', order= 0 },
	
	alpha = {
		name = 'Default Opacity',
		desc = "Sets the opacity of the nameplates",
		order = 1,
		width = 'full',
		type = 'range',
		step = 0.01,
		min = 0,
		max = 1,
	},
	
	header2  = { type = 'header', name = 'Visibility', order= 2 },
	
	nameplateShowEnemies= {
		type = 'select',
		order = 3,
		name = 'Enemy plates',
		get = function(info)
			local v = info.handler.db.nameplateShowEnemies
			return  (v==nil and 3) or (v and 1) or 2
		end,
		set = function(info,value)
			if value==1 then
				info.handler.db.nameplateShowEnemies = true
			elseif value==2 then
				info.handler.db.nameplateShowEnemies = false
			else
				info.handler.db.nameplateShowEnemies = nil
			end
			info.handler:OnChange(info)
			addon:UpdatePlateVisibility()
		end,
		values = { 'Show', 'Hide', 'Do nothing' }
	},
	
	nameplateShowFriends = {
		type = 'select',
		order = 4,
		name = 'Friendly plates',
		get = function(info)
			local v = info.handler.db.nameplateShowFriends
			return  (v==nil and 3) or (v and 1) or 2
		end,
		set = function(info,value)
			if value==1 then
				info.handler.db.nameplateShowFriends = true
			elseif value==2 then
				info.handler.db.nameplateShowFriends = false
			else
				info.handler.db.nameplateShowFriends = nil
			end
			info.handler:OnChange(info)
			addon:UpdatePlateVisibility()
		end,
		values = { 'Show', 'Hide', 'Do nothing' }
	},
	
	header3 = { type = 'header', name = '', order= 5 },
	
}, { order = 0 } )